<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="laboratori aperti a tutti su diversi temi del digitale - ottobre 2021." />
  <meta name="author" content="la nassa" />
  <title>intelligenza artificiale | la nassa</title>

  <!-- Facebook Meta Tags -->
  <meta property="og:url" content="https://lanassa.net/lab/index.html">
  <meta property="og:type" content="website">
  <meta property="og:title" content="laboratori | la nassa">
  <meta property="og:description" content="laboratori aperti a tutti su diversi temi del digitale - ottobre 2021." />
  <meta property="og:image" content="../assets/img/logo/Logo_NoLettering.png">
  <meta property="og:image:alt" content="logo dell'associazione la nassa">

  <!-- Twitter Meta Tags -->
  <meta name="twitter:card" content="summary">
  <meta property="twitter:domain" content="lanassa.net">
  <meta property="twitter:url" content="https://lanassa.net/lab/index.html">
  <meta name="twitter:title" content="laboratori | la nassa">
  <meta name="twitter:description" content="laboratori aperti a tutti su diversi temi del digitale - ottobre 2021." />
  <meta name="twitter:image" content="../assets/img/logo/Logo_NoLettering.png">
  <meta name="twitter:image:alt" content="logo dell'associazione la nassa">

  <!-- Icon on the browser and different devices -->
  <link rel="apple-touch-icon" sizes="180x180" href="../apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="../favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="../favicon-16x16.png">
  <link rel="manifest" href="../site.webmanifest">
  <link rel="mask-icon" href="../safari-pinned-tab.svg" color="#000000">
  <meta name="msapplication-TileColor" content="#2b5797">
  <meta name="theme-color" content="#ffffff">

  <!-- FontAwesome -->
  <script src="https://use.fontawesome.com/releases/v5.15.1/js/all.js" crossorigin="anonymous" async></script>
  <!-- Core theme CSS (includes Bootstrap)-->
  <link href="../css/styles.css" rel="stylesheet" />
  <link href="../css/nassa.css" rel="stylesheet" />
</head>

<body id="page-top">
  <!-- Navigation-->
  <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand js-scroll-trigger" href="../index.html"><img height="50rem" id='top-left-logo' src="../assets/img/logo/Logo_Orizzontale.svg"></a>
      <button class="navbar-toggler btn-nassa-menu" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation" id='btn-menu'>
        <i class="fas fa-bars"></i>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item"><a class="nav-link js-scroll-trigger" href="../manifesto.html">manifesto</a></li>
          <li class="nav-item"><a class="nav-link js-scroll-trigger" href="../concretamente.html">obiettivi</a></li>
          <li class="nav-item"><a class="nav-link js-scroll-trigger" href="../corsi.html">corsi</a></li>
          <li class="nav-item"><a class="nav-link js-scroll-trigger" href="../lab/index.html">laboratori</a></li>
          <li class="nav-item"><a class="nav-link js-scroll-trigger" href="../nassa.html">chi siamo</a></li>
        </ul>
      </div>
    </div>
  </nav>


  <!-- CORSI e WORKSHOP-->

  <section class="top-space">&nbsp;</section>

  <section class="manifest-section white-section" id="part1">
    <hr />
    <div class="container my-0">
      <div class="col-lg-8 col-12 mx-auto pb-5">
        <h1 class="nassa-title text-center my-4 py-2">intelligenza artificiale</h1>
        <p class="nassa-text mb-4 serious lowercase">
          riportiamo una serie di tool che useremo durante i laboratori.
          i tool non sono stati sviluppati da noi, ma servono come fonte di ispirazione
          e come esempi di possibili applicazioni.
        </p>
      </div>
      <hr class='lab-bar'/>
      <h2 class="nassa-title text-center my-4 py-2">arte, immagini e video</h2>
      <div class="row my-4" >
        <div class="col-lg-4 col-12 px-4">
          <a href="https://www.artbreeder.com/browse">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">artbreeder</p>
              <p class="nassa-text">
                crea immagini e animazioni definendo le caratteristiche desiderate.
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://styletransferai.herokuapp.com/#section1">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">Neural Style Transfer</p>
              <p class="nassa-text">
                scegli un'immagine e poi rivisitala usando uno stile artistico diverso.
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://deepdreamgenerator.com">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">deep dream generator</p>
              <p class="nassa-text">
                cosa sogna un'intelligenza artificale?
              </p>
            </div>
          </a>
        </div>

        <div class="col-lg-4 col-12 px-4">
          <a href="https://www.myheritage.it/deep-nostalgia">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">MyHeritage | DeepNostalgia</p>
              <p class="nassa-text">
                colora e anima vecchie foto in bianco e nero
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://hotpot.ai/art-maker">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">HotPot | AIArtmaker</p>
              <p class="nassa-text">
                descivi una scena e lascia che sia il computer a dipingerla!
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://ai-art.tokyo/en/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">AI Gahaku</p>
              <p class="nassa-text">
                l'artista artificiale ai gahaku dipingerà un'opera d'arte
                a partire da una tua foto!
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://comixify.ai/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">comixify ai</p>
              <p class="nassa-text">
                crea un fumetto a partire da una foto o un video!
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://thiscatdoesnotexist.com/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">thiscatdoesnotexist</p>
              <p class="nassa-text">
                ti piacciono i gatti? ricarica questa pagina
                per vedere ogni volta una nuova versione!
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://goart.fotor.com/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">goart</p>
              <p class="nassa-text">
                un'altra versione per rimodellare le tue foto
                usando stili particolari.
              </p>
            </div>
          </a>
        </div>

      </div>
      <hr class='lab-bar'/>
      <h2 class="nassa-title text-center my-4 py-2">scrittura creativa</h2>
      <div class="row my-4" >
        <div class="col-lg-4 col-12 px-4">
          <a href="https://6b.eleuther.ai/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">GPT-NEO EleutherAI</p>
              <p class="nassa-text">
                blocco creativo? GPT-NEO ti da una mano nella scrittura di una storia!
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://huggingface.co/gpt2">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">GPT-2</p>
              <p class="nassa-text">
                l'antenato del potente GPT-3: non è perfetto,
                ma spesso ha delle idee interessanti..
              </p>
            </div>
          </a>
        </div>
      </div>
      <hr class='lab-bar'/>
      <h2 class="nassa-title text-center my-4 py-2">musica</h2>
      <div class="row my-4" >
        <div class="col-lg-4 col-12 px-4">
          <a href="https://codepen.io/teropa/full/gzjgEP/">
            <div class="p-4 clickable">
              <p class="nassa-text-large">robot neil's bubble bath</p>
              <p class="nassa-text">
                crea la tua musica aggiungendo bolle d'acqua!
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://codepen.io/teropa/full/RMGxOQ/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">Neural Drum Machine Density Remix</p>
              <p class="nassa-text">
                suona la batteria - aggiungi qualche nota e
                lascia la rete neurale immaginare una sequenza
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://experiments.withgoogle.com/ai/sound-maker/view/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">nsynth: sound maker</p>
              <p class="nassa-text">
                crea il tuo suono personale
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://openai.com/blog/musenet/#demo">
            <div class="p-4 clickable">
              <p class="nassa-text-large">musenet</p>
              <p class="nassa-text">
                componi musica in uno stile partendo da una determinata sinfonia
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://codepen.io/iansimon/full/GGRYJZ">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">multitrack chords</p>
              <p class="nassa-text">
                incrocia diversi stili musicali
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://g.co/aiduet">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">AI duet</p>
              <p class="nassa-text">
                duetta con un piano intelligente!
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://magenta.github.io/listen-to-transformer/#a1_50746.mid">
            <div class="p-4 clickable">
              <p class="nassa-text-large">listen to transformer</p>
              <p class="nassa-text">
                ascolta della musica creata dai transformer
              </p>
            </div>
          </a>
        </div>

      </div>
      <hr class='lab-bar'/>
      <h2 class="nassa-title text-center my-4 py-2">visualizzazione</h2>
      <p class="nassa-text">
        i seguenti link sono più avanzati e preparati
        per chi è interessato a saperne di più,
        potrebbero confondere (o appassionare).
        usare con prudenza
      </p>
      <div class="row my-4" >
        <div class="col-lg-4 col-12 px-4">
          <a href="https://experiments.withgoogle.com/what-neural-nets-see">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">What Neural Networks See</p>
              <p class="nassa-text">
                ma cosa "vedono" le reti neurali?
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://distill.pub/2019/activation-atlas/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">inception activation atlas</p>
              <p class="nassa-text">
                un atlante delle attivazioni delle feature
                che la rete ha imparato ai diversi livelli
              </p>
            </div>
          </a>
        </div>
        <div class="col-lg-4 col-12 px-4">
          <a href="https://distill.pub/2021/multimodal-neurons/">
            <div class="p-4 clickable">
              <p class="nassa-text-large lowercase">multimodal neurons</p>
              <p class="nassa-text">
                se potessimo isolare un neurone della corteccia visiva
                e gli chiedessimo di dirci cosa "vede" lui come felicità,
                cosa verrebbe fuori?
              </p>
            </div>
          </a>
        </div>

    </div>
  </section>

  <!-- ensuring margin on top of the footer
           in a different div to change the color when needed -->
  <div id='nassa-footer-space'></div>

   <!-- Footer -->
   <section class="p-2 bg-gray">
    <div class="px-4">
      <hr />
    </div>
    <div class="container" id="nassa_footer">

    </div>
  </section>

  <script>
    fetch('footer_child.html')
    .then(response => response.text())
    .then(html => {
      // Insert the HTML into the div
      document.getElementById('nassa_footer').innerHTML = html;
    })
    .catch(error => console.warn(error));
  </script>

  <!-- Bootstrap core JS-->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
  <!-- Third party plugin JS-->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
  <!-- Core theme JS-->
  <script>
    /*!
        * Start Bootstrap - Grayscale v6.0.3 (https://startbootstrap.com/theme/grayscale)
        * Copyright 2013-2020 Start Bootstrap
        * Licensed under MIT (https://github.com/StartBootstrap/startbootstrap-grayscale/blob/master/LICENSE)
        */
        (function ($) {
        "use strict"; // Start of use strict

        // Smooth scrolling using jQuery easing
        $('a.js-scroll-trigger[href*="#"]:not([href="#"])').click(function () {
            if (
                location.pathname.replace(/^\//, "") ==
                    this.pathname.replace(/^\//, "") &&
                location.hostname == this.hostname
            ) {
                var target = $(this.hash);
                target = target.length
                    ? target
                    : $("[name=" + this.hash.slice(1) + "]");
                if (target.length) {
                    $("html, body").animate(
                        {
                            scrollTop: target.offset().top - 70,
                        },
                        1000,
                        "easeInOutExpo"
                    );
                    return false;
                }
            }
        });

        // Closes responsive menu when a scroll trigger link is clicked
        $(".js-scroll-trigger").click(function () {
            $(".navbar-collapse").collapse("hide");

        });

        // Activate scrollspy to add active class to navbar items on scroll
        $("body").scrollspy({
            target: "#mainNav",
            offset: 100,
        });


        // Collapse Navbar
        var navbarCollapse = function () {
            if ($("#mainNav").offset().top > 100) {
                //$("#mainNav").addClass("navbar-shrink");
                $("#mainNav").addClass("always-on-top");
                $('#top-left-logo').height('50px');
                $('#top-left-logo').attr("src",'../assets/img/logo/Logo_NoLettering.svg');
            } else {
                //$("#mainNav").removeClass("navbar-shrink");
                $("#mainNav").removeClass("always-on-top");
                $('#top-left-logo').height('80px');
                $('#top-left-logo').attr("src",'../assets/img/logo/Logo_Orizzontale.svg');
            }
        };
        // Collapse now if page is not at top
        navbarCollapse();
        // Collapse the navbar when page is scrolled
        $(window).scroll(navbarCollapse);
    })(jQuery); // End of use strict

    var actual_page = window.location.href.split("/").pop();
    var navlinks = $('.nav-link');
    var menu_toggle = 'bars';
    var j = 0;

    function whitify() {
      $('#top-left-logo').attr("src",'../assets/img/logo/Logo_Orizzontale_Bianco.svg');
      for (j = 0; j < navlinks.length; j++) {
        navlinks[j].style.color = 'white';
      }
      $('#btn-menu')[0].style.color = 'white';
    }

    function blackify() {
      for (j = 0; j < navlinks.length; j++) {
        navlinks[j].style.color = 'black';
      }
      $('#btn-menu')[0].style.color = 'black';
    }

    $(document).on("click", "#btn-menu", function() {
      if (menu_toggle == 'bars') {
        $('#btn-menu').html('<i class="nassa-text-large fas fa-times"></i>');
        menu_toggle = 'times';
        console.log('changed to times');
        $('#mainNav').removeClass('transparent');
        if (actual_page == 'index.html' || actual_page == "" || actual_page == "#page-top") {
          blackify();
        }
      }
      else if (menu_toggle == 'times') {
        $('#btn-menu').html('<i class="nassa-text-large fas fa-bars"></i>');
        menu_toggle = 'bars';
        console.log('changed to bars');
        $('#mainNav').addClass('transparent');
        if (actual_page == 'index.html' || actual_page == "" || actual_page == "#page-top") {
          whitify();
        }
      }
    });



  </script>

</body>

</html>
